BUILD-ASTROMETRY-INDEX(1)

NAME
build-astrometry-index - Create astrometry.net index files

SYNOPSIS
build-astrometry-index [options] -i catalog -o file -P scale

DESCRIPTION
build-astrometry-index takes a FITS catalog table containing at least RA, DEC, and magnitude columns and converts it into an index file that can be used by the astrometry.net programs like solve-index (1).

OPTIONS

-i catalog
    Input FITS catalog: source RA,DEC, etc.

-e extension
    FITS extension to read when -i is specified.

-1 index
    Share another index's stars (alternatively to -i/-e).

-o file
    Output filename for index

-N nside
    Healpix Nside for quad-building

-l size
    Minimum quad size (arcminutes)

-u size
    Maximum quad size (arcminutes)

-P number
    Use 'preset' values for -N, -l, and -u. The scale-number is the last two digits of the pre-cooked index filename -- eg., index-205 is -P 5.

    -P 0 should be good for images about 6 arcmin in size and it goes in steps of sqrt(2), so:

    -P 2 should work for images about 12 arcmin across

    -P 4 should work for images about 24 arcmin across

    -P 6 should work for images about 1 degree across

    -P 8 should work for images about 2 degree across

    -P 10 should work for images about 4 degree across etc... up to -P 19

-S column
    Sort column (default: assume the input file is already sorted)

-f  Sort in descending order (eg, for FLUX); default ascending (eg, for MAG)

-A column
    Specify the RA column name in the input FITS table (default "RA")

-D column
    Specify the Dec column name in the input FITS table (default "Dec")

-B val
    Cut any object whose sort-column value is less than val; for mags this is a bright limit

-U  Healpix Nside for uniformization (default: same as -n)

-H big healpix
    Big healpix; default is all-sky

-s Nside
    Big healpix Nside; default is 1

-m margin
    Add a margin of margin healpixels; default 0

-n sweeps
    Sweeps (ie, number of stars per fine healpix grid cell); default 10

-r radius
    Deduplication radius in arcseconds; default no deduplication

-j jitter
    Positional error of stars in the reference catalog (in arcsec; default 1)

-d dimquads
    Number of stars in a "quad" (default 4).

-p passes
    Number of rounds of quad-building (ie, number of quads per healpix cell, default 16)

-R reuse
    Number of times a star can be used (default: 8)

-L max-reuses
    Make extra passes through the healpixes, increasing the -r reuse limit each time, up to max-reuses.

-E  Scan through the catalog, checking which healpixes are occupied.

-I id
    Set the unique ID of this index

-M  In-memory (don't use temp files)

-T  Don't delete temp files

-t dir
    Use this temp directory (default: /tmp)

-v  Add verbosity.

AUTHOR
The Astrometry.net team. Principal investigators are David W. Hogg (NYU) and Dustin Lang (CMU).

SEE ALSO
hpsplit (1), solve-field (1)
For a tutorial, see http://astrometry.net/doc/build-index.html